package com.jscape.inet.ssh.protocol.v2.messages;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class UserAuthInfoRequestPrompt {

    public final String prompt;
    public final boolean echo;

    public UserAuthInfoRequestPrompt(String prompt, boolean echo) {
        assertNotNull(prompt);
        this.prompt = prompt;

        this.echo = echo;
    }

    @Override
    public String toString() {
        return "UserAuthInfoRequestPrompt {"
               + "prompt='" + this.prompt + '\''
               + ", echo=" + this.echo
               + '}';
    }
}
